<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\RaumUebersicht\RaumDetails\Detailsreiter\Termine;

class ResetFilterTermineController extends ReiterTermineController
{
  protected function getRequestObj()
  {
    $requestObj = parent::getRequestObj();
    $vonDatumDefault = \DateTimeOperations::getFirstDayOfCurrentWeek();
    $bisDatumDefault = \DateTimeOperations::getNextDate($vonDatumDefault, 6);
    $requestObj->vonDatum = $vonDatumDefault;
    $requestObj->bisDatum = $bisDatumDefault;

    return $requestObj;
  }
}